ESYS_CRYPTO_CONTEXT_BLOB Struct Reference

## Public Types

enum | { IESYS_CRYPTMBED_TYPE_HASH = 1 , IESYS_CRYPTMBED_TYPE_HMAC }
enum | { IESYS_CRYPTOSSL_TYPE_HASH = 1 , IESYS_CRYPTOSSL_TYPE_HMAC }

## Data Fields

enum ESYS_CRYPTO_CONTEXT_BLOB:: { ... } | type
union { |
struct { |
mbedtls_md_context_t mbed_context |
size_t hash_len |
} hash
struct { |
mbedtls_md_context_t mbed_context |
size_t hmac_len |
} hmac
}; |
enum ESYS_CRYPTO_CONTEXT_BLOB:: { ... } | type
union { |
struct { |
const EVP_MD * ossl_hash_alg |
EVP_MD_CTX * ossl_context |
size_t hash_len |
} hash
}; |

## Detailed Description

Context to hold temporary values for iesys_crypto

## Field Documentation

## [struct] [1/2]

struct { ... } hash

the state variables for a hash context

## [struct] [2/2]

struct { ... } hash

the state variables for a HASH or HMAC context

## [struct]

struct { ... } hmac

the state variables for an hmac context

## [] [1/2]

enum { ... } type

The type of context to hold; hash or hmac

## [] [2/2]

enum { ... } type

The type of context to hold; hash or hmac

The documentation for this struct was generated from the following files:

- src/tss2-esys/esys_crypto_mbed.c
- src/tss2-esys/esys_crypto_ossl.c